<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="welcome-user">
        <div class="welcome-user-img">
            <div class="image-container">
                <img :src="user?.img" :alt="user?.name">
                <div class="image-blur"></div>
            </div>
        </div>
        <div class="welcome-user-text">{{ user?.name }}</div>
        <div class="welcome-user-data">
            <div class="welcome-user-data-title">Role</div>
            <div class="welcome-user-data-role">{{ user?.role }}</div>
        </div>
    </div>  
    <div class="welcome-user-info" v-if="user?.info.length > 0">
        <div class="welcome-user-info-title">Created by you</div>
        <a class="welcome-user-info-item" v-for="item of user?.info" :key="item?.id" @click="item?.action">
            <span>
                <span class="user-total">{{ item?.total }}</span>
                <span class="user-title">{{ item?.title }}</span>
            </span>
            <span class="icon-arrow">
                <i class="icon icon-arrow-right"></i>
            </span>
        </a>
    </div>
</template>

<script setup lang="ts">
    const props = defineProps({
        user: Object,
    });
</script>